d-conf (0.16.0-4endless1) eos2.6; urgency=medium

  * debian/patches/endless-writer-factor-out-a-common-method.patch,
    debian/patches/endless-writer-add-a-signal-to-notify-for-errors-when-writin.patch:
    Add patches to signal out of space conditions from dconf. (T11498)

    (Backported patches by Cosimo Cecchi from 0.26.0-1endless3)

 -- Roddy Shuler <roddy@endless>  Mon, 16 May 2016 15:15:41 -0700

d-conf (0.16.0-4) unstable; urgency=low

  * In dconf 0.13.4 support for some deprecated profile specification
    syntax was removed which was still in use by gdm3. Add Breaks against
    unfixed versions of gdm3.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Jun 2013 21:36:13 +0200

d-conf (0.16.0-3) unstable; urgency=low

  * Upload to unstable.
  * Refresh 01_env_path.patch.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Tue, 04 Jun 2013 06:44:42 +0200

d-conf (0.16.0-2) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/control.in, debian/dconf-editor.install, 
    debian/dconf-cli.install, debian/dconf-tools.install:
    - split dconf-tools in dconf-cli and dconf-editor, the dconf command
      line utility is used outside GNOME/GTK environments and shouldn't 
      require gtk. Keep the dconf-tools binary as a transitional one so
      users upgrading still have the editor.
  * debian/control.in, debian/tests: 
    - simple build/run autopkg test, thanks Rafal Cieslak and Martin Pitt

  [ Iain Lane ]
  * Build-Depend on valac (>= 0.17) to use the default valac instead of
    selecting the (now removed) valac-0.18 directly. (Closes: #709699)
  * Make transitional package Priority: extra and add ${misc:Depends} -
    thanks, Lintian.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 31 May 2013 17:48:50 +0100

d-conf (0.16.0-1) experimental; urgency=low

  [ Josselin Mouette ]
  * libdconf-dev breaks/replaces valac (<< 0.9.5). Closes: #694363.

  [ Thomas Bechtold ]
  * New upstream release.
  * debian/patches/git_read_default_value.patch: dropped, applied upstream.
  * debian/libdconf1.symbols: Added new symbols.
  * debian/control.in: Update glib build dependency according to configure.ac.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 28 Mar 2013 13:17:55 +0100

d-conf (0.14.0-1) experimental; urgency=low

  * Team upload

  [ Emilio Pozuelo Monfort ]
  * New upstream release (Closes: #690801)
    + debian/control.in:
      - Update build dependencies.
    + debian/patches/01_env_path.patch:
      - Updated patch from Robert Ancell.
    + debian/dconf-tools.install,
      debian/rules:
      - Update path for the bash completion file.
    + debian/control.in,
      debian/rules,
      debian/libdconf[01].*:
      - Update for the new SONAME.
    + debian/dconf-service.install,
      debian/dconf-tools.install:
      - Install the manpages (LP: #950154) and translations.

  [ Simon McVittie ]
  * Use dpkg-maintscript-helper to clean up the obsolete bash completion file
  * Add NEWS.Debian.gz recommending logging out and back in
  * Add patch from upstream (via Ubuntu) to fix reading default values

 -- Simon McVittie <smcv@debian.org>  Wed, 24 Oct 2012 17:51:35 +0100

d-conf (0.12.1-3) unstable; urgency=low

  * libdconf-dev breaks/replaces valac (<< 0.9.5). Closes: #694363.

 -- Josselin Mouette <joss@debian.org>  Mon, 26 Nov 2012 12:27:35 +0100

d-conf (0.12.1-2) unstable; urgency=low

  * 01_env_path.patch: support the DCONF_PATH environment variable. This 
    is necessary for the gdm3 packaging.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Jun 2012 18:05:54 +0200

d-conf (0.12.1-1) unstable; urgency=low

  * New upstream release. Closes: #664038
  * Bump Build-Depends on cdbs for multiarch support.
  * Update Build-Depends on valac-0.12 to valac-0.16 (>= 0.15.1).
    Closes: #663303
  * Bump Build-Depends on libglib2.0-dev to (>= 2.31.18).
  * Install icon for dconf-editor.
  * Bump Standards-Version to 3.9.3.
  * Update Vcs-* URLs.
  * Update Format URL to the final copyright format 1.0 spec.

 -- Michael Biebl <biebl@debian.org>  Wed, 02 May 2012 21:16:47 +0200

d-conf (0.10.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control.in:
    - Do not hardcode multiarch-support in Pre-Depends but let debhelper set
      it via ${misc:Pre-Depends} instead.
    - Bump Build-Depends on debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 07:11:51 +0100

d-conf (0.10.0-2) experimental; urgency=low

  * Tighten dependency on libdconf0.
  * Pass multiarch path to the gio modules dir.
  * Break glib < 2.30 because of the multiarch path.
  * Support multiarch:
    + Split the service in dconf-service (multi-arch: foreign).
    + Keep only the gio module in dconf-gsettings-backend (m-a: same).
    + Move libraries to the multiarch path.
    + Make them pre-depend on multiarch-support.
  * -dev recommends -doc.
  * Use the occasion to rename /usr/lib/d-conf to /u/l/dconf.

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2011 14:58:03 +0100

d-conf (0.10.0-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/watch: Move to .xz tarballs

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/01-sys-mount-h-include-fix.patch:
    - Removed, merged upstream
  * debian/libdconf0.symbols: Updated
  * Add breaks from libdconf0 to dconf-gsettings-backend to prevent
    issues from mismatches in the d-bus protocol

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 05 Nov 2011 21:13:57 +0000

d-conf (0.7.5-3) unstable; urgency=low

  * Re-enable dconf-editor.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2011 23:11:01 +0200

d-conf (0.7.5-2) unstable; urgency=low

  * Strip leading debian/tmp/ from .install files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Temporarily disable dconf-editor so we can bootstrap d-conf on kfreebsd.
  * Don't install bash completion file as executable shell script.
  * debian/patches/01-sys-mount-h-include-fix.patch
    - Include headers in a proper way to fix FTBFS on hurd and kfreebsd.
      Thanks Pino Toscano for the patch. (Closes: #629211)

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Jun 2011 19:51:48 +0200

d-conf (0.7.5-1) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Switch Vcs-* branches to unstable

  [ Justin B Rye ]
  * Improvements to the package descriptions. Closes: #622984.

  [ Martin Pitt ]
  * New upstream release.
  * debian/dconf-tools.install: Install new dconf-editor schema file.
  * debian/dconf-tools.install: Install bash completion script.

 -- Martin Pitt <mpitt@debian.org>  Wed, 18 May 2011 08:32:02 +0200

d-conf (0.7.3-4) unstable; urgency=low

  * Upload to unstable
  * debian/rules: Remove include of check-dist.mk

 -- Laurent Bigonville <bigon@debian.org>  Mon, 11 Apr 2011 10:27:42 +0200

d-conf (0.7.3-3) experimental; urgency=low

  * Brown paper bag release.
  * Move the Provides: to the new package.

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Mar 2011 16:53:45 +0530

d-conf (0.7.3-2) experimental; urgency=low

  * Split the GSettings backend in its own package: 
    dconf-gsettings-backend. It will allow to have a stable name in case 
    something changes in the library. Thanks Emilio for the idea.

 -- Josselin Mouette <joss@debian.org>  Thu, 31 Mar 2011 16:33:13 +0530

d-conf (0.7.3-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 11:50:32 +0000

d-conf (0.7.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + Drop gir package, g-i support removed upstream.
    + debian/control.in:
      - Update build dependencies.
    + debian/libdconf0.symbols:
      - Update for the new libdconf-dbus library.
      - Add Build-Depends-Package fields.
  * debian/control.in,
    debian/compat,
    debian/rules:
    + Switch to CDBS and debhelper 8.
  * debian/rules:
    + Abort the build if the symbols file is out of date.
    + Make the shlibs file always depend on the last upstream release.

  [ Laurent Bigonville ]
  * debian/control.in:
    - Add new binary packages libdconf-dbus-1-0, libdconf-dbus-1-dbg, and
      libdconf-dbus-1-dbg.
    - Have libdconf-dbus-1-0 depend on libdconf0 for its dbus service,
      even though it doesn't use any of its symbols
  * debian/copyright:
    - Use DEP5 syntax
  * debian/rules, debian/libdconf*.install:
    - Updated to handle new library binary package
      even though it doesn't use any of its symbols
  * debian/patches/fix-doc-linking.patch:
    - Fix link order issue with gtk-doc scanning
  (Thanks to Ubuntu guys for the changes)

  [ Emilio Pozuelo Monfort ]
  * debian/patches/fix-doc-linking.patch:
    + Removed, no longer necessary.
  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
      - Update the gtk+ 3 build dependency for the new package names.
    + debian/libdconf0.symbols,
      debian/libdconf-dbus-1-0.symbols:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:25:28 +0000

d-conf (0.5.1-2) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Bump libglib2.0-dev build-dependency
    - Drop libgee-dev build-dependency, not needed anymore
    - libdconf0 Provides gsettings-backend
  * debian/libdconf-dev.install:
    - Install .vapi file
  * debian/watch: Fix URL pattern

  [ Emilio Pozuelo Monfort ]
  * Update to the new gir policy:
    - Rename gir1.0-dconf-0.3 to gir1.2-dconf-0.3.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 15:44:27 +0100

d-conf (0.5.1-1) experimental; urgency=low

  * New upstream release
  * Remove debian/patches/01_unbump_gi.patch
  * Needs build-dep on gobject-introspection >= 0.9.6

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 23 Sep 2010 00:02:13 +0200

d-conf (0.5-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * debian/contro{,.in}:
    - build-depend on newer (unstable) libglib as there was an ABI change

  [ Gustavo Noronha Silva ]
  * New upstream release
  - needs valac 0.9.4
  - doesn't ship static library anymore (dropped libtool, btw)
  - broke ABI - not changing package name, it's experimental after all,
    right? RIGHT?

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 04 Aug 2010 17:17:38 -0300

d-conf (0.4.2-1) experimental; urgency=low

  * New upstream release
  * debian/control:
  - build-depend on valac >= 0.9.2

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 13 Jul 2010 18:19:47 -0300

d-conf (0.4.1-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * Initial debian release (Thanks to Robert Ancell)
  * Put under Debian GNOME Team maintenance
  * debian/control:
    - Do some cleanup
    - Add libglib2.0-dev dependency against libdconf-dev package
  * Add libdconf-dbg and libdconf-doc packages

  [ Sjoerd Simons ]
  * Add support for get-orig-source target

 -- Laurent Bigonville <bigon@debian.org>  Sat, 03 Jul 2010 12:04:52 +0200

d-conf (0.4.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Bump build-depend on libglib2.0-dev
    - Build-depend on valac, libgtk2.0-dev, libxml2-dev, libgee-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 25 Jun 2010 11:23:50 +1000

d-conf (0.4-0ubuntu2) maverick; urgency=low

  * debian/libdconf-dev.install:
    - Only install gir files from /usr/share, otherwise conflicts with dbus files
      in libdconf0

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 18 Jun 2010 17:23:19 +1000

d-conf (0.4-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - fix crashes when the dconf database doesn't yet exist
    - add some incomplete gtk-doc
    - use new GVDB 
    - implement GSettings sync
    - use string tags instead of sequence numbers since it was impossible
      to have universally unique sequence numbers
    - theoretical support for sharing dconf databases between machines with
      different byte orders
    - fix bug where first write was not successful when auto-starting service
    - FreeBSD build fixes
    - client API cleanups
    - GObject introspection support
    - enable automake silent rules by default for tarball builds
  * debian/control:
    - build-depends on libgirepository1.0-dev, gobject-introspection, 
      gir1.0-glib-2.0
    - list the new gir binary
  * debian/gir1.0-dconf-0.3.install, debian/libdconf-dev.install:
    - updated to install the gobject-introspection gir and typelib and the
      documentation
  * debian/libdbconf0.symbols:
    - define library symbols
  * debian/rules:
    - call dh_girepository

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Jun 2010 10:45:10 +0200

d-conf (0.3.1-1) UNRELEASED; urgency=low

  * Upload to Debian
  * The library has non-versioned files because upstream said that the dbus 
    interface will change over time and the library and service should be in 
    the same binary. Since the service is not versioned and several versions
    should not be installed at the same time the library would using conflicts
    on soname change anyway and it's easier to ship one binary.
  * debian/copyright:
    - small copyright tweaking

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Jun 2010 15:06:22 +0200

d-conf (0.3.1-0ubuntu2) maverick; urgency=low

  * debian/control, debian/dconf-tools.install:
    - install the binaries in dconf-tools
  * debian/libdconf-dev.install:
    - don't install the .la there

  [ Robert Ancell ]
  * debian/control:
    - Add Vcs-Bzr link

 -- Sebastien Bacher <seb@canonical.com>  Mon, 31 May 2010 16:35:42 +0200

d-conf (0.3.1-0ubuntu1) maverick; urgency=low

  * Initial release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 24 May 2010 17:19:01 +1000
